#include <stdio.h>
#include "tablet.h"

static void
printtabletinfo(const tablet_info &info);

/*
void
printtabletinfo(const tablet_info &info)
{
	printf("Proximity: %d\n", info.proximity);
	//printf("Pointer: %d\n", info.stylus);
	printf("Button Flag: %d\n", info.buttonflag);
	printf("X: %d\n", info.x);
	printf("Y: %d\n", info.y);
	printf("Buttons: %d\n", info.buttons);
	//printf("Pressure Sign: %d\n", info.pressuresign);
	printf("Pressure Data: %d\n", info.pressuredata);
	//printf("X Tilt Sign: %d\n", info.xtiltsign);
	//printf("X Tilt Data: %d\n", info.xtiltdata);
	//printf("Y Tilt Sign: %d\n", info.ytiltsign);
	//printf("Y Tilt Data: %d\n", info.ytiltdata);
}
*/
void
printtabletinfo(const tablet_info &info)
{
	printf("Prox: %d Pressed: %d Buttons: %d X: %d Y: %d\n", 
		info.proximity, info.buttonflag, info.buttons, info.x,info.y);
	//printf("Pressure Sign: %d\n", info.pressuresign);
	//printf("X Tilt Sign: %d\n", info.xtiltsign);
	//printf("X Tilt Data: %d\n", info.xtiltdata);
	//printf("Y Tilt Sign: %d\n", info.ytiltsign);
	//printf("Y Tilt Data: %d\n", info.ytiltdata);
}


int main(int argc, char **argv)
{
	char buff[256];
	int32 x,y;
	
	BTSWacomTablet tablet("serial2");
	tablet.Reset();
	tablet.SetAlwaysTransmit();
	tablet.GetModel(buff);
	printf("Model: %s\n",buff);

	//tablet.GetMaxCoordinates(x,y);
	
	//tablet.GetCurrentSettings(buff,256);
	//printf("Settings: %s\n",buff);
	
	//tablet.SetASCIIFormat();
	//tablet.SetAlwaysTransmit();
	while(1)		// Ctrl-C will quit this
	{
		tablet_info info;
		status_t status = tablet.GetTabletInfo(info);
		if (status != B_ERROR)
			printtabletinfo(info);
	}
	//tablet.SetPointMode();
	
}
